com.io7m.r2.core

## Class R2InstanceSingle.Builder

- java.lang.Object
- - com.io7m.r2.core.R2InstanceSingle.Builder

- Enclosing class:
    R2InstanceSingle

      public static final class R2InstanceSingle.Builder
      extends Object

  Builds instances of type `R2InstanceSingle`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2InstanceSingle` | `build()` Builds a new `R2InstanceSingle`.
    `R2InstanceSingle.Builder` | `from(R2InstanceSingleType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2InstanceSingleType` instance.
    `R2InstanceSingle.Builder` | `from(R2InstanceType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2InstanceType` instance.
    `R2InstanceSingle.Builder` | `setArrayObject(com.io7m.jcanephora.core.JCGLArrayObjectUsableType arrayObject)` Initializes the value for the `arrayObject` attribute.
    `R2InstanceSingle.Builder` | `setInstanceID(long instanceID)` Initializes the value for the `instanceID` attribute.
    `R2InstanceSingle.Builder` | `setTransform(R2TransformReadableType transform)` Initializes the value for the `transform` attribute.
    `R2InstanceSingle.Builder` | `setUvMatrix(com.io7m.jtensors.parameterized.PMatrixReadable3x3FType<R2SpaceTextureType,R2SpaceTextureType> uvMatrix)` Initializes the value for the `uvMatrix` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2InstanceSingle.Builder from(R2InstanceType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2InstanceType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final R2InstanceSingle.Builder from(R2InstanceSingleType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2InstanceSingleType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setInstanceID

          public final R2InstanceSingle.Builder setInstanceID(long instanceID)

      Initializes the value for the `instanceID` attribute.
      Parameters:
        `instanceID` - The value for instanceID
      Returns:
        `this` builder for use in a chained invocation

    - #### setArrayObject

          public final R2InstanceSingle.Builder setArrayObject(com.io7m.jcanephora.core.JCGLArrayObjectUsableType arrayObject)

      Initializes the value for the `arrayObject` attribute.
      Parameters:
        `arrayObject` - The value for arrayObject
      Returns:
        `this` builder for use in a chained invocation

    - #### setTransform

          public final R2InstanceSingle.Builder setTransform(R2TransformReadableType transform)

      Initializes the value for the `transform` attribute.
      Parameters:
        `transform` - The value for transform
      Returns:
        `this` builder for use in a chained invocation

    - #### setUvMatrix

          public final R2InstanceSingle.Builder setUvMatrix(com.io7m.jtensors.parameterized.PMatrixReadable3x3FType<R2SpaceTextureType,R2SpaceTextureType> uvMatrix)

      Initializes the value for the `uvMatrix` attribute.
      Parameters:
        `uvMatrix` - The value for uvMatrix
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2InstanceSingle build()

      Builds a new `R2InstanceSingle`.
      Returns:
        An immutable instance of R2InstanceSingle
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com